Banca en línea - Usuario

Online Banking Help

Q: What are the current browser requirements for online banking?
A: The current browsers supported by Online Banking are the most current version of Chrome, Firefox, Edge, Safari and Internet explorer. (April 2019)
 
Q: Do I need to have cookies enabled?
A: It is not a requirement. However, for some of the features of Online Banking it is recommended.
 
Q: Do I need to have JavaScript enabled?
A: Yes, you will not be able to use all of the functionality of online banking without JavaScript being enabled.